> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post libraryv1beta1 :exportdocumentsandfolders

> Exports documents and/or folders from the library.



## OpenAPI

````yaml /openapis/library.json post /library/v1beta1/{libId}:exportDocumentsAndFolders
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.6'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: library
    description: >-
      Lets you list existing libraries, create new libraries, get storage
      account e-mail (beta version, subject to change)
paths:
  /library/v1beta1/{libId}:exportDocumentsAndFolders:
    post:
      tags:
        - library
      description: Exports documents and/or folders from the library.
      operationId: library:v1beta1.Library.exportDocumentsAndFoldersV2
      parameters:
        - $ref: '#/components/parameters/libId_path_parameter'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiExportDocumentsAndFolders'
        required: true
      responses:
        '200':
          description: A ApiExportResult response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExportResult'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    libId_path_parameter:
      name: libId
      in: path
      description: The ID of the library
      required: true
      schema:
        type: string
  schemas:
    ApiExportDocumentsAndFolders:
      type: object
      properties:
        clientTimeZoneId:
          type: string
          description: >-
            The timezone id to format the name of the export folder. Formatted
            as a IANA Time Zone Database Name (ie: 'Europe/Paris', see:
            http://www.iana.org/time-zones).
        documentIds:
          type: array
          description: >-
            The list of documents (by ID) to export from the library (can be
            empty if the list of folders is not)
          items:
            type: string
        domain:
          type: string
          description: The G Suite domain
        folderIds:
          type: array
          description: >-
            The list of folders (by ID) to export from the library (can be empty
            if the list of documents is not)
          items:
            type: string
        mode:
          type: string
          description: >-
            The mode of export of the documents and folders. The possible values
            are: 'COPY' (the documents and folders will be copied), 'MOVE' (the
            documents and folders will be moved)
          enum:
            - MOVE
            - COPY
        securityCode:
          type: string
          description: The security code
        targetClassId:
          type: string
          description: The ID of the target document class
        targetLibraryId:
          type: string
          description: >-
            The ID of the library in which the documents and folders will be
            exported (can be empty if the user email is not)
        userEmail:
          type: string
          description: >-
            The email of the user in whose Drive the documents and folders will
            be exported (can be empty if the target library is not)
    ApiExportResult:
      type: object
      properties:
        documentIdMap:
          type: object
          additionalProperties:
            type: string
        folderId:
          type: string
        jobId:
          type: string
        kind:
          type: string
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````